/* 
 * File: customdb.c
 * Author: Roger Light
 * Project: berkdb2csv
 * Date: 2006/09/06
 * Desc: Custom db setup
 * $Id: elo.h 5080 2002-10-28 04:56:55Z jdorje $
 *
 * Copyright (C) 2006 Roger Light
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include <db.h>
#include "customdb.h"

void print_key_data(DBT key, DBT data)
{
	if(!data.data) return;
	datastruct ds;
	memcpy(&ds, data.data, sizeof(datastruct));

	printf("%s,%s,%d,%s,%f,%s\n", ds.name, ds.surname, ds.age, ds.height, ds.email);
}

